package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.Pending_agent_childRepository;
import com.realnet.vpspack.Entity.Pending_agent_child
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;
























	import org.springframework.stereotype.Service;

@Service
 public class Pending_agent_childService {
@Autowired
private Pending_agent_childRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;























public Pending_agent_child Savedata(Pending_agent_child data) {
























	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Pending_agent_child save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Pending_agent_child> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Pending_agent_child> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Pending_agent_child> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Pending_agent_child getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Pending_agent_child update(Pending_agent_child data,Integer id) {
	Pending_agent_child old = Repository.findById(id).get();
old.setAgent(data.getAgent());

old.setFull_name(data.getFull_name());

old.setSupplier_acknowledged(data.getSupplier_acknowledged());

old.setEntry_date(data.getEntry_date());

old.setApplication_code(data.getApplication_code());

old.setEmail_id(data.getEmail_id());

old.setPhone_number(data.getPhone_number());

old.setSupplier(data.getSupplier());

old.setNationality(data.getNationality());

old.setNote(data.getNote());

old.setVisa(data.getVisa());

old.setAction(data.getAction());

final Pending_agent_child test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 
























 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
